"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManualCache = void 0;
const AbstractFlatCache_1 = require("./AbstractFlatCache");
class ManualCache extends AbstractFlatCache_1.AbstractFlatCache {
    async set(key, newValue) {
        this.inMemoryCache.set(key, newValue);
        this.runningLoads.delete(key);
        if (this.asyncCache) {
            await this.asyncCache.set(key, newValue).catch((err) => {
                this.cacheUpdateErrorHandler(err, key, this.asyncCache, this.logger);
            });
        }
    }
}
exports.ManualCache = ManualCache;
//# sourceMappingURL=ManualCache.js.map