import type { Redis } from 'ioredis';
import { RedisNotificationConsumer } from './RedisNotificationConsumer';
import { RedisNotificationPublisher } from './RedisNotificationPublisher';
import type { PublisherErrorHandler } from '../notifications/NotificationPublisher';
export type RedisNotificationConfig = {
    channel: string;
    publisherRedis: Redis;
    consumerRedis: Redis;
    errorHandler?: PublisherErrorHandler;
};
export declare function createNotificationPair<T>(config: RedisNotificationConfig): {
    publisher: RedisNotificationPublisher<T>;
    consumer: RedisNotificationConsumer<T>;
};
